> ## Documentation Index
> Fetch the complete documentation index at: https://docs.novacal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Teams

> List all Novacal teams the authenticated user belongs to and review the team data returned by the teams collection endpoint.



## OpenAPI

````yaml GET /v1/teams
openapi: 3.1.0
info:
  title: Events API
  description: Public API for managing event types
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.novacal.io
security:
  - bearerAuth: []
paths:
  /v1/teams:
    get:
      description: Returns all teams that the user is a member of
      responses:
        '200':
          description: Teams response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamsResponse'
components:
  schemas:
    TeamsResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          description: Indicates whether the request was successful
          type: boolean
          example: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/Team'
    Team:
      type: object
      properties:
        id:
          description: The unique identifier of the team
          type: integer
          format: int64
        name:
          description: The name of the team
          type: string
          maxLength: 55
        username:
          description: The unique username for the team
          type: string
          maxLength: 255
        about:
          description: Description or about text for the team
          type:
            - string
            - 'null'
          maxLength: 5000
        logo:
          description: URL to the team's logo image
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````